package com.kingdee.eas.custom.integration.feishu;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class FeishuApprovalInstanceTaskListCollection extends AbstractObjectCollection 
{
    public FeishuApprovalInstanceTaskListCollection()
    {
        super(FeishuApprovalInstanceTaskListInfo.class);
    }
    public boolean add(FeishuApprovalInstanceTaskListInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(FeishuApprovalInstanceTaskListCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(FeishuApprovalInstanceTaskListInfo item)
    {
        return removeObject(item);
    }
    public FeishuApprovalInstanceTaskListInfo get(int index)
    {
        return(FeishuApprovalInstanceTaskListInfo)getObject(index);
    }
    public FeishuApprovalInstanceTaskListInfo get(Object key)
    {
        return(FeishuApprovalInstanceTaskListInfo)getObject(key);
    }
    public void set(int index, FeishuApprovalInstanceTaskListInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(FeishuApprovalInstanceTaskListInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(FeishuApprovalInstanceTaskListInfo item)
    {
        return super.indexOf(item);
    }
}